## neutron-fwaas 23.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
neutron-fwaas (1:23.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Mon, 06 Oct 2025 13:59:06 +0200

neutron-fwaas (1:23.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/watch: Update version detection.

 -- Myles Penner <myles.penner@canonical.com>  Sat, 20 Sep 2025 13:35:54 -0700

=== debian/control ===
Source: neutron-fwaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-alembic (>= 1.6.5),
 python3-eventlet (>= 0.18.2),
 python3-ddt (>= 1.0.1),
 python3-fixtures (>= 3.0.0),
 python3-hacking,
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:23.0.0~b2),
 python3-neutron-lib (>= 3.6.1),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-ken (>= 0.3.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.7.3),
 python3-pygments (>= 2.2.0),
 python3-pymysql (>= 0.7.6),
 python3-pyroute2 (>= 0.7.2),
 python3-reno (>= 2.5.0),
 python3-requests-mock (>= 1.2.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sqlalchemy (>= 1.4.23),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.2),
 python3-webtest (>= 2.0.27),
 python3-zmq (>= 14.3.1),
 rename,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-fwaas
Homepage: https://opendev.org/openstack/neutron-fwaas
Testsuite: autopkgtest-pkg-python

Package: neutron-fwaas-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 python-neutron-fwaas (<< 1:13.0.0~b2-0ubuntu2~),
 python-vmware-nsx (<< 12.0.1-0ubuntu2~),
Replaces:
 python-neutron-fwaas (<< 1:13.0.0~b2-0ubuntu2~),
 python-vmware-nsx (<< 12.0.1-0ubuntu2~),
Description: Firewall-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides common configuration files.

Package: python3-neutron-fwaas
Architecture: all
Depends:
 neutron-fwaas-common (= ${binary:Version}),
 python3-alembic (>= 1.6.5),
 python3-eventlet (>= 0.18.2),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:23.0.0~b2),
 python3-neutron-lib (>= 3.6.1),
 python3-os-ken (>= 0.3.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 4.0.0),
 python3-pyroute2 (>= 0.7.2),
 python3-sqlalchemy (>= 1.4.23),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-zmq (>= 14.3.1),
Description: Firewall-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=neutron_fwaas

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	# NOTE: generate configuration files directly
	for file in `ls etc/oslo-config-generator/*`; do \
		 PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=$$file \
			--output-file=etc/neutron/`basename $$file`; \
	done
	# NOTE: scrub usr/etc folder from install.
	rm -rf debian/python3-neutron-fwaas/usr/etc
	dh_install

override_dh_fixperms:
	find debian/python3-neutron-fwaas -name __init__.py -exec chmod a-x {} \;
	dh_fixperms

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2
endif

override_dh_auto_clean:
	rm -rf .testrepository build
	for file in `ls etc/oslo-config-generator/*`; do rm -f etc/neutron/`basename $$file`; done
	dh_auto_clean

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/,pgpsigurlmangle=s/$/.asc/ \
 https://tarballs.opendev.org/openstack/neutron-fwaas/ neutron_fwaas-(\d{1,2}\.\d.*)\.tar\.gz

## neutron-fwaas 23.0.0%2Bgit20260108.18.ae14017e9

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_install:
 	# NOTE: generate configuration files directly

## neutron-fwaas 23.0.0+git20260108.18.ae14017e9

=== debian/changelog ===
neutron-fwaas (1:23.0.0+git20260108.18.ae14017e9-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: remove for snapshot
  * d/rules: enable sphinxdoc to build documentation
  * New upstream version 23.0.0+git20260108.18.ae14017e9
  * d/patches/*: refresh patches
  * New upstream snapshot from ae14017e9c05508dd7a840cdaf2cf77a03f214f8
    for OpenStack Gazpacho. (LP: #2137590)

 -- Myles Penner <myles.penner@canonical.com>  Thu, 22 Jan 2026 14:09:20 -0800

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/neutron-fwaas/ neutron_fwaas-(\d{1,2}\.\d.*)\.tar\.gz

## neutron-fwaas 2015.1~rc1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0

eventlet>=0.16.1,!=0.17.0
httplib2>=0.7.5
netaddr>=0.7.12
SQLAlchemy>=0.9.7,<=0.9.99
alembic>=0.7.2
six>=1.9.0
oslo.config>=1.9.3,<1.10.0  # Apache-2.0
oslo.db>=1.7.0,<1.8.0  # Apache-2.0
oslo.log>=1.0.0,<1.1.0  # Apache-2.0
oslo.messaging>=1.8.0,<1.9.0  # Apache-2.0
oslo.serialization>=1.4.0,<1.5.0               # Apache-2.0
oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0

# This project does depend on neutron as a library, but the
# openstack tooling does not play nicely with projects that
# are not publicly available in pypi.
# -e git+https://git.openstack.org/openstack/neutron#egg=neutron

=== debian/control ===
Source: neutron-fwaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.6.6-3~)
Build-Depends-Indep:
 alembic (>= 0.7.2),
 neutron-common (>= 1:2015.1~rc1),
 python-cliff (>= 1.7.0),
 python-coverage,
 python-eventlet (>= 0.16.1),
 python-fixtures (>= 0.3.14),
 python-hacking (>= 0.10.0),
 python-httplib2 (>= 0.7.5),
 python-mock (>= 1.0),
 python-netaddr (>= 0.7.12),
 python-oslo-concurrency (>= 1.4.1),
 python-oslo-config (>= 1:1.9.3),
 python-oslo-db (>= 1.7.0),
 python-oslo-log (>= 1.0.0),
 python-oslo-messaging (>= 1.8.0),
 python-oslo-serialization (>= 1.4.0),,
 python-oslo-utils (>= 1.4.0),
 python-oslotest (>= 1.2.0),
 python-pbr (>= 0.6),
 python-requests (>= 2.2.0),
 python-requests-mock (>= 0.5.1),
 python-setuptools,
 python-six (>= 1.9.0),
 python-sqlalchemy (>= 0.9.7),
 python-subunit (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 0.9.36),
 python-webob (>= 1.2.3),
 python-webtest (>= 2.0),
 testrepository ( >= 0.0.18)
Standards-Version: 3.9.6
Homepage: http://github.com/openstack/neutron-fwaas

Package: python-neutron-fwaas
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Breaks: neutron-common (<< 1:2015.1~b2-0ubuntu1~)
Replaces: neutron-common (<< 1:2015.1~b2-0ubuntu1~)
Description: Firewall-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provices the Firewall-as-a-Service driver for Neutron.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_install:
	# NOTE: scrub usr/etc folder from install.
	rm -rf debian/python-neutron-fwaas/usr/etc
	dh_install

override_dh_fixperms:
	find debian/python-neutron-fwaas -name __init__.py -exec chmod a-x {} \;
	dh_fixperms

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
	TEMP_REZ=`mktemp -t` && \
	testr run --subunit neutron_fwaas.tests.unit | tee $$TEMP_REZ | subunit2pyunit; \
	rm -f $$TEMP_REZ ;
endif

override_dh_autoclean:
	rm -rf .testrepository
	dh_autoclean

## neutron-fwaas 2015.1.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=0.7,<1.0,>=0.6

eventlet!=0.17.0,>=0.16.1
httplib2>=0.7.5
netaddr>=0.7.12
SQLAlchemy<=0.9.99,>=0.9.7
alembic<0.8.1,>=0.7.2
six>=1.9.0
oslo.config<1.10.0,>=1.9.3 # Apache-2.0
oslo.db<1.8.0,>=1.7.0 # Apache-2.0
oslo.log<1.1.0,>=1.0.0 # Apache-2.0
oslo.messaging<1.9.0,>=1.8.0 # Apache-2.0
oslo.serialization<1.5.0,>=1.4.0 # Apache-2.0
oslo.utils!=1.4.1,<1.5.0,>=1.4.0 # Apache-2.0

# This project does depend on neutron as a library, but the
# openstack tooling does not play nicely with projects that
# are not publicly available in pypi.
# -e git+https://git.openstack.org/openstack/neutron@stable/kilo#egg=neutron

=== debian/changelog ===
neutron-fwaas (2015.1.2-0ubuntu2) vivid; urgency=medium

  [ Corey Bryant ]
  * d/rules: Prevent dh_python2 from guessing dependencies.

  [ Chuck Short ]
  * Resynchronize with stable/kilo (3565c65) (LP: #1506058):
    - [3565c65] Fix wrong argument name in _rpc_update_firewall

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 16 Oct 2015 09:10:40 -0400

neutron-fwaas (2015.1.1-0ubuntu1) vivid; urgency=medium

  * Resynchronize with stable/kilo (cdcd5a7) (LP: #1481008):
    - [cdcd5a7] Make iptables firewall work with L3 plugin without DVR support

 -- David Ames <david.ames@canonical.com>  Tue, 04 Aug 2015 08:40:49 -0700

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.6.6-3~)
 Build-Depends-Indep:
  alembic (>= 0.7.2),
- neutron-common (>= 1:2015.1~rc1),
+ neutron-common (>= 1:2015.1.2),
  python-cliff (>= 1.7.0),
  python-coverage,
  python-eventlet (>= 0.16.1),

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 
 %:
 	dh $@ --with python2 --buildsystem=python_distutils
+
+override_dh_python2:
+	dh_python2 --no-guessing-deps
 
 override_dh_install:
 	# NOTE: scrub usr/etc folder from install.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/" \
 http://tarballs.openstack.org/neutron-fwaas neutron-fwaas-(\d.*)\.tar\.gz
